Tag Archives: Lyx

Install Latex Beamer

Untuk file-file presentasi kuliah, saya buat menggunakan Lyx dengan class Beamer di LinuxMint. File tersebut kemudian dibuka di laptop Linux saya yang lain. Namun, muncul pesan kesalahan bahwa class beamer dan xcolor tidak ditemukan.

Latex-beamer

Solusinya adalah menginstall latex-beamer.

Continue reading Install Latex Beamer

Upgrade Lyx di Linuxmint Qiana (Trusty)

Lyx terinstall di Linuxmint Qiana (Ubuntu Trusty) adalah versi 2.0.6. Versi ini tidak bisa mengkonversi file Lyx versi 2.1.x. Ini jadi masalah saat saya harus bekerja di laptop yang berbeda, satu laptop terinstall LinuxMint Qiana dan satu lainnya terinstall MacOS :).

Saya mulai membiasakan bekerja dengan 2 laptop. Hehehe.. File-file kerja telah tersinkron di dua laptop tersebut. Perubahan file di satu laptop akan disinkronkan (otomatis) di laptop lain. File-file tersebut juga tersimpan di Google Drive untuk persiapan pengerjaan secara kolaborasi.

Lyx di LinuxMint menyimpan file menggunakan format 2.0.6, sedangkan Lyx di MacOS dalam format 2.1. LinuxMint tidak dapat membuka file Lyx yang diedit dan disimpan oleh MacOS karena gagal konversi. Satu-satunya cara adalah mengupgrade Lyx di LinuxMint.

Untungnya di PPA stabil terdapat sudah terdapat paket Lyx terbaru dan stabil (versi 2.1.2). Langkah untuk menginstall Lyx versi 2.1.2 adalah sebagai berikut:

  1.  menambahkan ppa ke repository
    $ sudo add-apt-repository ppa:lyx-devel/release
  2. mengupdate apt
    $ sudo apt-get update
  3. menginstall Lyx
    $ sudo apt-get install Lyx

Beberapa paket tambahan juga akan terinstall, yaitu lyx-common. Paket yang direkomendasikan untuk diinstall adalah texlive-science dan texlive-generic-extra. Continue reading Upgrade Lyx di Linuxmint Qiana (Trusty)

Package babel Error: Unknown option ‘bahasa’

Program Lyx gagal untuk membangkitkan file pdf dengan pesan kesalahan paket babel. Kesalahan ini terjadi di LinuxMint 17 Qiana (dan/atau Ubuntu 14.04 Trusty Tahr). Pesan kesalahan yang muncul adalah
! Package babel Error: Unknown option `bahasa'. Either you misspelled itOption ‘bahasa’ yang digunakan dalam dokumen Lyx (latex) tidak dikenali oleh Lyx. Option ini dipanggil oleh dokumen yang mempunyai header:
\usepackage[bahasa]{babel}
Header pemilihan bahasa tersebut diset dari menu Document->Setting di Lyx.

Solusinya adalah menginstall texlive-lang-other. Continue reading Package babel Error: Unknown option ‘bahasa’